Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockServletContext

    java.lang.Object
      org.jboss.seam.mock.MockServletContext

All Implemented Interfaces:
  javax.servlet.ServletContext

    public class MockServletContext

extends Object
implements javax.servlet.ServletContext

Field Summary

Fields inherited from interface javax.servlet.ServletContext
`ORDERED_LIBS, TEMPDIR`

Constructor Summary
`MockServletContext()`

Method Summary
`javax.servlet.FilterRegistration.Dynamic` | `addFilter(String filterName, Class<? extends javax.servlet.Filter> filterClass)`
`javax.servlet.FilterRegistration.Dynamic` | `addFilter(String filterName, javax.servlet.Filter filter)`
`javax.servlet.FilterRegistration.Dynamic` | `addFilter(String filterName, String className)`
`void` | `addListener(Class<? extends EventListener> listenerClass)`
`void` | `addListener(String className)`
`
`<T extends EventListener> void`
` | `addListener(T t)`
`javax.servlet.ServletRegistration.Dynamic` | `addServlet(String servletName, Class<? extends javax.servlet.Servlet> servletClass)`
`javax.servlet.ServletRegistration.Dynamic` | `addServlet(String servletName, javax.servlet.Servlet servlet)`
`javax.servlet.ServletRegistration.Dynamic` | `addServlet(String servletName, String className)`
`
`<T extends javax.servlet.Filter> T`
` | `createFilter(Class<T> clazz)`
`
`<T extends EventListener> T`
` | `createListener(Class<T> clazz)`
`
`<T extends javax.servlet.Servlet> T`
` | `createServlet(Class<T> clazz)`
`void` | `declareRoles(String... roleNames)`
`Object` | `getAttribute(String att)`
`Enumeration` | `getAttributeNames()`
`Map<String,Object>` | `getAttributes()`
`ClassLoader` | `getClassLoader()`
`javax.servlet.ServletContext` | `getContext(String name)`
`String` | `getContextPath()`
`Set<javax.servlet.SessionTrackingMode>` | `getDefaultSessionTrackingModes()`
`int` | `getEffectiveMajorVersion()`
`int` | `getEffectiveMinorVersion()`
`Set<javax.servlet.SessionTrackingMode>` | `getEffectiveSessionTrackingModes()`
`javax.servlet.FilterRegistration` | `getFilterRegistration(String filterName)`
`Map<String,? extends javax.servlet.FilterRegistration>` | `getFilterRegistrations()`
`String` | `getInitParameter(String param)`
`Enumeration` | `getInitParameterNames()`
`Map<String,String>` | `getInitParameters()`
`javax.servlet.descriptor.JspConfigDescriptor` | `getJspConfigDescriptor()`
`int` | `getMajorVersion()`
`String` | `getMimeType(String arg0)`
`int` | `getMinorVersion()`
`javax.servlet.RequestDispatcher` | `getNamedDispatcher(String name)`
`String` | `getRealPath(String relativePath)`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(String url)`
`URL` | `getResource(String name)` Get the URL for a particular resource that is relative to the web app root directory.
`InputStream` | `getResourceAsStream(String name)`
`Set` | `getResourcePaths(String name)`
`String` | `getServerInfo()`
`javax.servlet.Servlet` | `getServlet(String name)`
`String` | `getServletContextName()`
`Enumeration` | `getServletNames()`
`javax.servlet.ServletRegistration` | `getServletRegistration(String servletName)`
`Map<String,? extends javax.servlet.ServletRegistration>` | `getServletRegistrations()`
`Enumeration` | `getServlets()`
`javax.servlet.SessionCookieConfig` | `getSessionCookieConfig()`
`void` | `log(Exception ex, String msg)`
`void` | `log(String msg)`
`void` | `log(String msg, Throwable ex)`
`void` | `removeAttribute(String att)`
`void` | `setAttribute(String att, Object value)`
`boolean` | `setInitParameter(String name, String value)`
`void` | `setSessionTrackingModes(Set<javax.servlet.SessionTrackingMode> sessionTrackingModes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockServletContext

    public MockServletContext()

Method Detail

### getInitParameters

    public Map<String,String> getInitParameters()

### getAttributes

    public Map<String,Object> getAttributes()

### getContext

    public javax.servlet.ServletContext getContext(String name)

  Specified by:
    `getContext` in interface `javax.servlet.ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `javax.servlet.ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `javax.servlet.ServletContext`

### getMimeType

    public String getMimeType(String arg0)

  Specified by:
    `getMimeType` in interface `javax.servlet.ServletContext`

### getResourcePaths

    public Set getResourcePaths(String name)

  Specified by:
    `getResourcePaths` in interface `javax.servlet.ServletContext`

### getResource

    public URL getResource(String name)
                    throws MalformedURLException

  Get the URL for a particular resource that is relative to the web app root directory.

  Specified by:
    `getResource` in interface `javax.servlet.ServletContext`
  Parameters:
    `name` - The name of the resource to get
  Returns:
    The resource, or null if resource not found
  Throws:
    `MalformedURLException` - If the URL is invalid

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

  Specified by:
    `getResourceAsStream` in interface `javax.servlet.ServletContext`

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(String url)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletContext`

### getNamedDispatcher

    public javax.servlet.RequestDispatcher getNamedDispatcher(String name)

  Specified by:
    `getNamedDispatcher` in interface `javax.servlet.ServletContext`

### getServlet

    public javax.servlet.Servlet getServlet(String name)
                                     throws javax.servlet.ServletException

  Specified by:
    `getServlet` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getServlets

    public Enumeration getServlets()

  Specified by:
    `getServlets` in interface `javax.servlet.ServletContext`

### getServletNames

    public Enumeration getServletNames()

  Specified by:
    `getServletNames` in interface `javax.servlet.ServletContext`

### log

    public void log(String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(Exception ex,
                    String msg)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### log

    public void log(String msg,
                    Throwable ex)

  Specified by:
    `log` in interface `javax.servlet.ServletContext`

### getRealPath

    public String getRealPath(String relativePath)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletContext`

### getServerInfo

    public String getServerInfo()

  Specified by:
    `getServerInfo` in interface `javax.servlet.ServletContext`

### getInitParameter

    public String getInitParameter(String param)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletContext`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletContext`

### getAttribute

    public Object getAttribute(String att)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletContext`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletContext`

### setAttribute

    public void setAttribute(String att,
                             Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletContext`

### removeAttribute

    public void removeAttribute(String att)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletContext`

### getServletContextName

    public String getServletContextName()

  Specified by:
    `getServletContextName` in interface `javax.servlet.ServletContext`

### getContextPath

    public String getContextPath()

  Specified by:
    `getContextPath` in interface `javax.servlet.ServletContext`

### getEffectiveMajorVersion

    public int getEffectiveMajorVersion()

  Specified by:
    `getEffectiveMajorVersion` in interface `javax.servlet.ServletContext`

### getEffectiveMinorVersion

    public int getEffectiveMinorVersion()

  Specified by:
    `getEffectiveMinorVersion` in interface `javax.servlet.ServletContext`

### setInitParameter

    public boolean setInitParameter(String name,
                                    String value)

  Specified by:
    `setInitParameter` in interface `javax.servlet.ServletContext`

### addServlet

    public javax.servlet.ServletRegistration.Dynamic addServlet(String servletName,
                                                                String className)

  Specified by:
    `addServlet` in interface `javax.servlet.ServletContext`

### addServlet

    public javax.servlet.ServletRegistration.Dynamic addServlet(String servletName,
                                                                javax.servlet.Servlet servlet)

  Specified by:
    `addServlet` in interface `javax.servlet.ServletContext`

### addServlet

    public javax.servlet.ServletRegistration.Dynamic addServlet(String servletName,
                                                                Class<? extends javax.servlet.Servlet> servletClass)

  Specified by:
    `addServlet` in interface `javax.servlet.ServletContext`

### createServlet

    public <T extends javax.servlet.Servlet> T createServlet(Class<T> clazz)
                                                  throws javax.servlet.ServletException

  Specified by:
    `createServlet` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getServletRegistration

    public javax.servlet.ServletRegistration getServletRegistration(String servletName)

  Specified by:
    `getServletRegistration` in interface `javax.servlet.ServletContext`

### getServletRegistrations

    public Map<String,? extends javax.servlet.ServletRegistration> getServletRegistrations()

  Specified by:
    `getServletRegistrations` in interface `javax.servlet.ServletContext`

### addFilter

    public javax.servlet.FilterRegistration.Dynamic addFilter(String filterName,
                                                              String className)

  Specified by:
    `addFilter` in interface `javax.servlet.ServletContext`

### addFilter

    public javax.servlet.FilterRegistration.Dynamic addFilter(String filterName,
                                                              javax.servlet.Filter filter)

  Specified by:
    `addFilter` in interface `javax.servlet.ServletContext`

### addFilter

    public javax.servlet.FilterRegistration.Dynamic addFilter(String filterName,
                                                              Class<? extends javax.servlet.Filter> filterClass)

  Specified by:
    `addFilter` in interface `javax.servlet.ServletContext`

### createFilter

    public <T extends javax.servlet.Filter> T createFilter(Class<T> clazz)
                                                throws javax.servlet.ServletException

  Specified by:
    `createFilter` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getFilterRegistration

    public javax.servlet.FilterRegistration getFilterRegistration(String filterName)

  Specified by:
    `getFilterRegistration` in interface `javax.servlet.ServletContext`

### getFilterRegistrations

    public Map<String,? extends javax.servlet.FilterRegistration> getFilterRegistrations()

  Specified by:
    `getFilterRegistrations` in interface `javax.servlet.ServletContext`

### getSessionCookieConfig

    public javax.servlet.SessionCookieConfig getSessionCookieConfig()

  Specified by:
    `getSessionCookieConfig` in interface `javax.servlet.ServletContext`

### setSessionTrackingModes

    public void setSessionTrackingModes(Set<javax.servlet.SessionTrackingMode> sessionTrackingModes)

  Specified by:
    `setSessionTrackingModes` in interface `javax.servlet.ServletContext`

### getDefaultSessionTrackingModes

    public Set<javax.servlet.SessionTrackingMode> getDefaultSessionTrackingModes()

  Specified by:
    `getDefaultSessionTrackingModes` in interface `javax.servlet.ServletContext`

### getEffectiveSessionTrackingModes

    public Set<javax.servlet.SessionTrackingMode> getEffectiveSessionTrackingModes()

  Specified by:
    `getEffectiveSessionTrackingModes` in interface `javax.servlet.ServletContext`

### addListener

    public void addListener(String className)

  Specified by:
    `addListener` in interface `javax.servlet.ServletContext`

### addListener

    public <T extends EventListener> void addListener(T t)

  Specified by:
    `addListener` in interface `javax.servlet.ServletContext`

### addListener

    public void addListener(Class<? extends EventListener> listenerClass)

  Specified by:
    `addListener` in interface `javax.servlet.ServletContext`

### createListener

    public <T extends EventListener> T createListener(Class<T> clazz)
                                           throws javax.servlet.ServletException

  Specified by:
    `createListener` in interface `javax.servlet.ServletContext`
  Throws:
    `javax.servlet.ServletException`

### getJspConfigDescriptor

    public javax.servlet.descriptor.JspConfigDescriptor getJspConfigDescriptor()

  Specified by:
    `getJspConfigDescriptor` in interface `javax.servlet.ServletContext`

### getClassLoader

    public ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `javax.servlet.ServletContext`

### declareRoles

    public void declareRoles(String... roleNames)

  Specified by:
    `declareRoles` in interface `javax.servlet.ServletContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.